javax.swing.text

## Interface Highlighter.Highlight

Enclosing interface:
  Highlighter

    public static interface Highlighter.Highlight

### Method Summary

Methods
`int` `getEndOffset()` Gets the ending model offset for the highlight.
`Highlighter.HighlightPainter` `getPainter()` Gets the painter for the highlighter.
`int` `getStartOffset()` Gets the starting model offset for the highlight.

### Method Detail

#### getStartOffset

    int getStartOffset()

Gets the starting model offset for the highlight.

Returns:
  the starting offset >= 0

#### getEndOffset

    int getEndOffset()

Gets the ending model offset for the highlight.

Returns:
  the ending offset >= 0

#### getPainter

    Highlighter.HighlightPainter getPainter()

Gets the painter for the highlighter.

Returns:
  the painter

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.